package com.logicbig.examples.json.employee;

import com.logicbig.examples.json.employee.service.EmployeeService;
import com.logicbig.examples.json.employee.service.InMemoryJsonEmployeeService;

public class ApplicationContext {

    private static final ApplicationContext INSTANCE = new ApplicationContext();
    private EmployeeService employeeService;

    private ApplicationContext() {
        employeeService = new InMemoryJsonEmployeeService();
    }

    public static ApplicationContext getInstance() {
        return INSTANCE;
    }

    public EmployeeService getEmployeeService() {
        return employeeService;
    }


}